diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/service-flow-record.h ns-3.44/src/wimax/model/service-flow-record.h
--- ns-3.43/src/wimax/model/service-flow-record.h	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/service-flow-record.h	2025-03-09 16:55:49.815372700 -0700
@@ -21,8 +21,8 @@
 {
 
 /**
- * \ingroup wimax
- * \brief this class implements a structure to manage some parameters and statistics related to a
+ * @ingroup wimax
+ * @brief this class implements a structure to manage some parameters and statistics related to a
  * service flow
  */
 class ServiceFlowRecord
@@ -32,188 +32,188 @@
     ~ServiceFlowRecord();
 
     /**
-     * \brief Set the grant size (only for UGS service flows)
-     * \param grantSize the grant size to set
+     * @brief Set the grant size (only for UGS service flows)
+     * @param grantSize the grant size to set
      */
     void SetGrantSize(uint32_t grantSize);
     /**
-     * \return the grant size (only for ugs service flows)
+     * @return the grant size (only for ugs service flows)
      */
     uint32_t GetGrantSize() const;
     /**
-     * \brief Set the grant time stamp. Used for data allocation for ugs flows, and unicast poll
+     * @brief Set the grant time stamp. Used for data allocation for ugs flows, and unicast poll
      * (bw request) for non-UGS flows
-     * \param grantTimeStamp the grant time stamp to set
+     * @param grantTimeStamp the grant time stamp to set
      */
     void SetGrantTimeStamp(Time grantTimeStamp);
     /**
-     * \return the grant time stamp. Used for data allocation for ugs flows, and unicast poll (bw
+     * @return the grant time stamp. Used for data allocation for ugs flows, and unicast poll (bw
      * request) for non-UGS flows
      */
     Time GetGrantTimeStamp() const;
     /**
-     * \brief Set the DlTimeStamp.
-     * \param dlTimeStamp time when this service flow's traffic was last sent.
+     * @brief Set the DlTimeStamp.
+     * @param dlTimeStamp time when this service flow's traffic was last sent.
      */
     void SetDlTimeStamp(Time dlTimeStamp);
     /**
-     * \return the DlTimeStamp: time when this service flow's traffic was last sent
+     * @return the DlTimeStamp: time when this service flow's traffic was last sent
      */
     Time GetDlTimeStamp() const;
     /**
-     * \brief set the number of sent packets in this service flow
-     * \param pktsSent the number of sent packets
+     * @brief set the number of sent packets in this service flow
+     * @param pktsSent the number of sent packets
      */
     void SetPktsSent(uint32_t pktsSent);
     /**
-     * \brief update the number of sent packets by adding pktsSent
-     * \param pktsSent the number of sent packets to add
+     * @brief update the number of sent packets by adding pktsSent
+     * @param pktsSent the number of sent packets to add
      */
     void UpdatePktsSent(uint32_t pktsSent);
     /**
-     * \return the number of sent packet in this service flow
+     * @return the number of sent packet in this service flow
      */
     uint32_t GetPktsSent() const;
     /**
-     * \brief Set the number of received packets
-     * \param pktsRcvd The number of received packets
+     * @brief Set the number of received packets
+     * @param pktsRcvd The number of received packets
      */
     void SetPktsRcvd(uint32_t pktsRcvd);
     /**
-     * \brief update the number of received packets by adding pktsRcvd
-     * \param pktsRcvd the number of received packets to add
+     * @brief update the number of received packets by adding pktsRcvd
+     * @param pktsRcvd the number of received packets to add
      */
     void UpdatePktsRcvd(uint32_t pktsRcvd);
     /**
-     * \return the number of received packet
+     * @return the number of received packet
      */
     uint32_t GetPktsRcvd() const;
     /**
-     * \brief Set the number of sent bytes
-     * \param bytesSent the number of sent bytes
+     * @brief Set the number of sent bytes
+     * @param bytesSent the number of sent bytes
      */
     void SetBytesSent(uint32_t bytesSent);
     /**
-     * \brief update the number of sent bytes by adding bytesSent
-     * \param bytesSent the number of bytes to add
+     * @brief update the number of sent bytes by adding bytesSent
+     * @param bytesSent the number of bytes to add
      */
     void UpdateBytesSent(uint32_t bytesSent);
     /**
-     * \return The number of sent bytes
+     * @return The number of sent bytes
      */
     uint32_t GetBytesSent() const;
     /**
-     * \brief Set the number of received bytes
-     * \param bytesRcvd the number of received bytes
+     * @brief Set the number of received bytes
+     * @param bytesRcvd the number of received bytes
      */
     void SetBytesRcvd(uint32_t bytesRcvd);
     /**
-     * \brief update the number of received bytes by adding bytesRcvd
-     * \param bytesRcvd the number of bytes to add
+     * @brief update the number of received bytes by adding bytesRcvd
+     * @param bytesRcvd the number of bytes to add
      */
     void UpdateBytesRcvd(uint32_t bytesRcvd);
     /**
-     * \return The number of received bytes
+     * @return The number of received bytes
      */
     uint32_t GetBytesRcvd() const;
 
     /**
-     * \brief set the requested bandwidth
-     * \param requestedBandwidth the requested bandwidth
+     * @brief set the requested bandwidth
+     * @param requestedBandwidth the requested bandwidth
      */
     void SetRequestedBandwidth(uint32_t requestedBandwidth);
     /**
-     * \brief update the requested bandwidth
-     * \param requestedBandwidth the requested bandwidth update
+     * @brief update the requested bandwidth
+     * @param requestedBandwidth the requested bandwidth update
      */
     void UpdateRequestedBandwidth(uint32_t requestedBandwidth);
     /**
-     * \return The requested bandwidth
+     * @return The requested bandwidth
      */
     uint32_t GetRequestedBandwidth() const;
 
     /**
-     * \brief set the granted bandwidth
-     * \param grantedBandwidth the granted bandwidth
+     * @brief set the granted bandwidth
+     * @param grantedBandwidth the granted bandwidth
      */
     void SetGrantedBandwidth(uint32_t grantedBandwidth);
     /**
-     * \brief update the granted bandwidth
-     * \param grantedBandwidth the granted bandwidth update
+     * @brief update the granted bandwidth
+     * @param grantedBandwidth the granted bandwidth update
      */
     void UpdateGrantedBandwidth(uint32_t grantedBandwidth);
     /**
-     * \return The granted bandwidth
+     * @return The granted bandwidth
      */
     uint32_t GetGrantedBandwidth() const;
 
     /**
-     * \brief set the temporary granted bandwidth
-     * \param grantedBandwidthTemp the temporary granted bandwidth
+     * @brief set the temporary granted bandwidth
+     * @param grantedBandwidthTemp the temporary granted bandwidth
      */
     void SetGrantedBandwidthTemp(uint32_t grantedBandwidthTemp);
     /**
-     * \brief update the temporary granted bandwidth
-     * \param grantedBandwidthTemp the temporary granted bandwidth
+     * @brief update the temporary granted bandwidth
+     * @param grantedBandwidthTemp the temporary granted bandwidth
      */
     void UpdateGrantedBandwidthTemp(uint32_t grantedBandwidthTemp);
     /**
-     * \return The temporary granted bandwidth
+     * @return The temporary granted bandwidth
      */
     uint32_t GetGrantedBandwidthTemp() const;
 
     /**
-     * \brief set BW since last expiry
-     * \param bwSinceLastExpiry bandwidth since last expiry
+     * @brief set BW since last expiry
+     * @param bwSinceLastExpiry bandwidth since last expiry
      */
     void SetBwSinceLastExpiry(uint32_t bwSinceLastExpiry);
     /**
-     * \brief update BW since last expiry
-     * \param bwSinceLastExpiry bandwidth since last expiry
+     * @brief update BW since last expiry
+     * @param bwSinceLastExpiry bandwidth since last expiry
      */
     void UpdateBwSinceLastExpiry(uint32_t bwSinceLastExpiry);
     /**
-     * \return The bandwidth since last expiry
+     * @return The bandwidth since last expiry
      */
     uint32_t GetBwSinceLastExpiry() const;
 
     /**
-     * \brief set last grant time
-     * \param grantTime  grant time to set
+     * @brief set last grant time
+     * @param grantTime  grant time to set
      */
     void SetLastGrantTime(Time grantTime);
     /**
-     * \return The last grant time
+     * @return The last grant time
      */
     Time GetLastGrantTime() const;
 
     /**
-     * \brief set backlogged
-     * \param backlogged number of backlogged
+     * @brief set backlogged
+     * @param backlogged number of backlogged
      */
     void SetBacklogged(uint32_t backlogged);
     /**
-     * \brief increase backlogged
-     * \param backlogged the number of backlogged to update
+     * @brief increase backlogged
+     * @param backlogged the number of backlogged to update
      */
     void IncreaseBacklogged(uint32_t backlogged);
     /**
-     * \return The number of backlogged
+     * @return The number of backlogged
      */
     uint32_t GetBacklogged() const;
 
     /**
-     * \brief set temporary back logged
-     * \param backloggedTemp the temporary backlogged value
+     * @brief set temporary back logged
+     * @param backloggedTemp the temporary backlogged value
      */
     void SetBackloggedTemp(uint32_t backloggedTemp);
     /**
-     * \brief increase temporary back logged
-     * \param backloggedTemp the temporary backlogged value
+     * @brief increase temporary back logged
+     * @param backloggedTemp the temporary backlogged value
      */
     void IncreaseBackloggedTemp(uint32_t backloggedTemp);
     /**
-     * \return The value of temporary backlogged
+     * @return The value of temporary backlogged
      */
     uint32_t GetBackloggedTemp() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/simple-ofdm-send-param.h ns-3.44/src/wimax/model/simple-ofdm-send-param.h
--- ns-3.43/src/wimax/model/simple-ofdm-send-param.h	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/simple-ofdm-send-param.h	2025-03-09 16:55:49.815372700 -0700
@@ -22,7 +22,7 @@
 {
 
 /**
- * \ingroup wimax
+ * @ingroup wimax
  * SimpleOfdmSendParam class
  */
 class SimpleOfdmSendParam
@@ -32,13 +32,13 @@
     /**
      * Constructor
      *
-     * \param fecBlock FEC block
-     * \param burstSize burst size
-     * \param isFirstBlock is the first block
-     * \param Frequency frequency
-     * \param modulationType modulation type
-     * \param direction the direction
-     * \param rxPowerDbm receive power
+     * @param fecBlock FEC block
+     * @param burstSize burst size
+     * @param isFirstBlock is the first block
+     * @param Frequency frequency
+     * @param modulationType modulation type
+     * @param direction the direction
+     * @param rxPowerDbm receive power
      */
     SimpleOfdmSendParam(const Bvec& fecBlock,
                         uint32_t burstSize,
@@ -50,13 +50,13 @@
     /**
      * Constructor
      *
-     * \param burstSize burst size
-     * \param isFirstBlock is the first block
-     * \param Frequency frequency
-     * \param modulationType modulation type
-     * \param direction the direction
-     * \param rxPowerDbm receive power
-     * \param burst packet burst object
+     * @param burstSize burst size
+     * @param isFirstBlock is the first block
+     * @param Frequency frequency
+     * @param modulationType modulation type
+     * @param direction the direction
+     * @param rxPowerDbm receive power
+     * @param burst packet burst object
      */
     SimpleOfdmSendParam(uint32_t burstSize,
                         bool isFirstBlock,
@@ -67,66 +67,66 @@
                         Ptr<PacketBurst> burst);
     ~SimpleOfdmSendParam();
     /**
-     * \brief sent the fec block to send
-     * \param fecBlock the fec block to send
+     * @brief sent the fec block to send
+     * @param fecBlock the fec block to send
      */
     void SetFecBlock(const Bvec& fecBlock);
     /**
-     * \brief set the burst size
-     * \param burstSize the burst size in bytes
+     * @brief set the burst size
+     * @param burstSize the burst size in bytes
      */
     void SetBurstSize(uint32_t burstSize);
     /**
-     * \param isFirstBlock Set to true if this fec block is the first one in the burst, set to false
+     * @param isFirstBlock Set to true if this fec block is the first one in the burst, set to false
      * otherwise
      */
     void SetIsFirstBlock(bool isFirstBlock);
     /**
-     * \param Frequency set the frequency of the channel in which this fec block will be sent
+     * @param Frequency set the frequency of the channel in which this fec block will be sent
      */
     void SetFrequency(uint64_t Frequency);
     /**
-     * \param modulationType the modulation type used to send this fec block
+     * @param modulationType the modulation type used to send this fec block
      */
     void SetModulationType(WimaxPhy::ModulationType modulationType);
     /**
-     * \param direction the direction on which this fec block will be sent
+     * @param direction the direction on which this fec block will be sent
      */
     void SetDirection(uint8_t direction);
     /**
-     * \param rxPowerDbm the received power
+     * @param rxPowerDbm the received power
      */
     void SetRxPowerDbm(double rxPowerDbm);
     /**
-     * \return the fec block
+     * @return the fec block
      */
     Bvec GetFecBlock();
     /**
-     * \return the burst size
+     * @return the burst size
      */
     uint32_t GetBurstSize() const;
     /**
-     * \return true if this fec block is the first one in the burst, false otherwise
+     * @return true if this fec block is the first one in the burst, false otherwise
      */
     bool GetIsFirstBlock() const;
     /**
-     * \return the frequency on which the fec block is sent/received
+     * @return the frequency on which the fec block is sent/received
      */
     uint64_t GetFrequency() const;
     /**
-     * \return the modulation type used to send this fec block
+     * @return the modulation type used to send this fec block
      */
     WimaxPhy::ModulationType GetModulationType();
     /**
-     * \return the direction on which this fec block was sent. UP or DOWN
+     * @return the direction on which this fec block was sent. UP or DOWN
      */
     uint8_t GetDirection() const;
     /**
-     * \return the Received power
+     * @return the Received power
      */
     double GetRxPowerDbm() const;
     /**
-     * \return the received burst
+     * @return the received burst
      */
     Ptr<PacketBurst> GetBurst();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/simple-ofdm-wimax-channel.cc ns-3.44/src/wimax/model/simple-ofdm-wimax-channel.cc
--- ns-3.43/src/wimax/model/simple-ofdm-wimax-channel.cc	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/simple-ofdm-wimax-channel.cc	2025-03-09 16:55:49.819372700 -0700
@@ -149,7 +149,7 @@
     SimpleOfdmSendParam* param;
     for (auto iter = m_phyList.begin(); iter != m_phyList.end(); ++iter)
     {
-        Time delay = Seconds(0);
+        Time delay;
         if (phy != *iter)
         {
             double distance = 0;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/simple-ofdm-wimax-channel.h ns-3.44/src/wimax/model/simple-ofdm-wimax-channel.h
--- ns-3.43/src/wimax/model/simple-ofdm-wimax-channel.h	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/simple-ofdm-wimax-channel.h	2025-03-09 16:55:49.819372700 -0700
@@ -27,8 +27,8 @@
 class SimpleOfdmWimaxPhy;
 
 /**
- * \ingroup wimax
- * \brief SimpleOfdmWimaxChannel class
+ * @ingroup wimax
+ * @brief SimpleOfdmWimaxChannel class
  */
 class SimpleOfdmWimaxChannel : public WimaxChannel
 {
@@ -47,28 +47,28 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Creates a channel and sets the propagation model
-     * \param propModel the propagation model to use
+     * @brief Creates a channel and sets the propagation model
+     * @param propModel the propagation model to use
      */
     SimpleOfdmWimaxChannel(PropModel propModel);
 
     /**
-     * \brief Sends a dummy fec block to all connected physical devices
-     * \param BlockTime the time needed to send the block
-     * \param burstSize the size of the burst
-     * \param phy the sender device
-     * \param isFirstBlock true if this block is the first one, false otherwise
-     * \param isLastBlock true if this block is the last one, false otherwise
-     * \param frequency the frequency on which the block is sent
-     * \param modulationType the modulation used to send the fec block
-     * \param direction uplink or downlink
-     * \param txPowerDbm the transmission power
-     * \param burst the packet burst to send
+     * @brief Sends a dummy fec block to all connected physical devices
+     * @param BlockTime the time needed to send the block
+     * @param burstSize the size of the burst
+     * @param phy the sender device
+     * @param isFirstBlock true if this block is the first one, false otherwise
+     * @param isLastBlock true if this block is the last one, false otherwise
+     * @param frequency the frequency on which the block is sent
+     * @param modulationType the modulation used to send the fec block
+     * @param direction uplink or downlink
+     * @param txPowerDbm the transmission power
+     * @param burst the packet burst to send
      */
     void Send(Time BlockTime,
               uint32_t burstSize,
@@ -81,8 +81,8 @@
               double txPowerDbm,
               Ptr<PacketBurst> burst);
     /**
-     * \brief sets the propagation model
-     * \param propModel the propagation model to used
+     * @brief sets the propagation model
+     * @param propModel the propagation model to used
      */
     void SetPropagationModel(PropModel propModel);
 
@@ -91,33 +91,33 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream) override;
 
   private:
     /**
      * Attach function
-     * \param phy the phy layer
+     * @param phy the phy layer
      */
     void DoAttach(Ptr<WimaxPhy> phy) override;
     std::list<Ptr<SimpleOfdmWimaxPhy>> m_phyList; ///< phy list
     /**
      * Get number of devices function
-     * \returns the number of devices
+     * @returns the number of devices
      */
     std::size_t DoGetNDevices() const override;
     /**
      * End send dummy block function
-     * \param rxphy the Ptr<SimpleOfdmWimaxPhy>
-     * \param param the SimpleOfdmSendParam *
+     * @param rxphy the Ptr<SimpleOfdmWimaxPhy>
+     * @param param the SimpleOfdmSendParam *
      */
     void EndSendDummyBlock(Ptr<SimpleOfdmWimaxPhy> rxphy, SimpleOfdmSendParam* param);
     /**
      * Get device function
-     * \param i the device index
-     * \returns the device
+     * @param i the device index
+     * @returns the device
      */
     Ptr<NetDevice> DoGetDevice(std::size_t i) const override;
     Ptr<PropagationLossModel> m_loss; ///< loss
